from rest_framework import permissions


class AdminAccessPermission(permissions.BasePermission):
    message = 'User must be admin to access this view'

    def has_permission(self, request, view):
        # Allow local super users with basic auth
        if request.user.is_superuser or request.dataporten_admin:
            return True
        else:
            return False
