import { createSelector } from 'reselect';


const selectCreateUniversityDomain = () => (state) => state.get('createUniversity');


const selectCreateUniversity = () => createSelector(
  selectCreateUniversityDomain(),
  (createUniversity) => ({
    isCreating: createUniversity.get('requestingCreateUniversity'),
    success: createUniversity.get('createUniversitySuccess'),
    failure: createUniversity.get('createUniversityFailed'),
  })
);

export default selectCreateUniversity;
export {
  selectCreateUniversityDomain,
};
