import React from 'react';

import Navbar from 'react-bootstrap/lib/Navbar';
import Nav from 'react-bootstrap/lib/Nav';

import NavItem from '../../components/NavItem';
import LoginButton from '../../components/LoginButton';


const Navigation = () => (
  <Navbar>
    <Navbar.Header>
      <Navbar.Toggle />
    </Navbar.Header>
    <Navbar.Collapse>
      <Nav>
        <NavItem eventKey={1} to="/">Courses</NavItem>
        <NavItem eventKey={2} to="/similar">Find similar courses</NavItem>
      </Nav>
      <Nav pullRight>
        <LoginButton />
      </Nav>
    </Navbar.Collapse>
  </Navbar>
);

export default Navigation;
