import {
  LOAD_SEARCH_RESULTS,
  LOAD_SEARCH_RESULTS_SUCCESS,
  LOAD_SEARCH_RESULTS_FAILED,
} from './constants';

export function loadSearchResults({ courseId, toUniversity }) {
  return {
    type: LOAD_SEARCH_RESULTS,
    courseId,
    toUniversity,
  };
}

export function searchResultsLoaded(courses) {
  return {
    type: LOAD_SEARCH_RESULTS_SUCCESS,
    courses,
  };
}

export function searchResultsError() {
  return {
    type: LOAD_SEARCH_RESULTS_FAILED,
  };
}
