import { createSelector } from 'reselect';

/**
 * Direct selector to the addCurriculum state domain
 */
const selectAddCurriculumDomain = () => (state) => state.get('addCurriculum');

/**
 * Other specific selectors
 */


/**
 * Default selector used by AddCurriculum
 */

const selectAddCurriculum = () => createSelector(
  selectAddCurriculumDomain(),
  (substate) => substate.toJS()
);

export default selectAddCurriculum;
export {
  selectAddCurriculumDomain,
};
