import { createSelector } from 'reselect';


const selectAuthWrapperDomain = () => (state) => state.get('authWrapper');


const selectAuthWrapper = () => createSelector(
  selectAuthWrapperDomain(),
  (authWrapper) => authWrapper.toJS()
);

export default selectAuthWrapper;
