import { createSelector } from 'reselect';


const selectCompareCoursesDomain = () => (state) => state.get('compareCourses');

const selectCompareCourses = () => createSelector(
  selectCompareCoursesDomain(),
  (compareCourses) => compareCourses.toJS()
);

export {
  selectCompareCoursesDomain,
  selectCompareCourses,
};
