import {
  LOAD_COURSE_LIST,
  LOAD_COURSE_LIST_SUCCESS,
  LOAD_COURSE_LIST_FAILED,
} from './constants';

export function loadCourseList(query) {
  return {
    type: LOAD_COURSE_LIST,
    query,
  };
}

export function courseListLoaded(courses) {
  return {
    type: LOAD_COURSE_LIST_SUCCESS,
    courses,
  };
}

export function courseListError() {
  return {
    type: LOAD_COURSE_LIST_FAILED,
  };
}
