import { createSelector } from 'reselect';


const selectCourseSearchDomain = () => (state) => state.get('courseSearch');


const selectCourseSearch = () => createSelector(
  selectCourseSearchDomain(),
  (courseSearch) => courseSearch.toJS()
);

export default selectCourseSearch;
