import {
  LOAD_UNIVERSITY_LIST,
  LOAD_UNIVERSITY_LIST_SUCCESS,
  LOAD_UNIVERSITY_LIST_FAILED,
  REQUEST_CREATE_COURSE,
  REQUEST_CREATE_COURSE_SUCCESS,
  REQUEST_CREATE_COURSE_FAILED,
} from './constants';

export function loadUniversityList() {
  return {
    type: LOAD_UNIVERSITY_LIST,
  };
}

export function universityListLoaded(universities) {
  return {
    type: LOAD_UNIVERSITY_LIST_SUCCESS,
    universities,
  };
}

export function loadUniversitiesFailed() {
  return {
    type: LOAD_UNIVERSITY_LIST_FAILED,
  };
}

export function createCourse(course) {
  return {
    type: REQUEST_CREATE_COURSE,
    course,
  };
}

export function requestCreateCourseSuccess(id) {
  return {
    type: REQUEST_CREATE_COURSE_SUCCESS,
    id,
  };
}

export function requestCreateCourseFailed() {
  return {
    type: REQUEST_CREATE_COURSE_FAILED,
  };
}
